เกี่ยวกับเนื้อหาความปลอดภัยของ OS X Mountain Lion v10.8.2, OS X Lion v10.7.5 และการอัปเดตความปลอดภัย 2012-004

เรียนรู้เกี่ยวกับเนื้อหาความปลอดภัยของ OS X Mountain Lion v10.8.2, OS X Lion v10.7.5 และการอัปเดตความปลอดภัย 2012-004

เอกสารนี้จะอธิบายเนื้อหาความปลอดภัยของ OS X Mountain Lion v10.8.2, OS X Lion v10.7.5 และการอัปเดตความปลอดภัย 2012-004

เพื่อเป็นการป้องกันลูกค้าของเรา Apple จะไม่เปิดเผย อภิปรายหรือยืนยันปัญหาด้านความปลอดภัยจนกว่าจะมีการสืบสวนโดยละเอียดและมีโปรแกรมปะแก้ที่จำเป็นหรือมีการวางจำหน่าย หากต้องการเรียนรู้เพิ่มเติมเกี่ยวกับความปลอดภัยของผลิตภัณฑ์ Apple โปรดดูที่เว็บไซต์ การรักษาความปลอดภัยของผลิตภัณฑ์ Apple

สำหรับข้อมูลเกี่ยวกับคีย์ PGP สำหรับความปลอดภัยของผลิตภัณฑ์ Apple โปรดดู "วิธีใช้คีย์ PGP สำหรับความปลอดภัยของผลิตภัณฑ์ Apple"

เมื่อเป็นไปได้ จะใช้ CVE ID เพื่ออ้างอิงเกี่ยวกับข้อมูลเพิ่มเติมเรื่องช่องโหว่ต่างๆ

เพื่อเรียนรู้เกี่ยวกับการอัปเดตความปลอดภัยอื่นๆ โปรดดู "การอัปเดตความปลอดภัยของ Apple"

OS X Mountain Lion v10.8.2, OS X Lion v10.7.5 และการอัปเดตความปลอดภัย 2012-004

หมายเหตุ: OS X Mountain Lion v10.8.2 รวมถึงเนื้อหาของ Safari 6.0.1 สำหรับรรายละเอียดเพิ่มเติม โปรดดู เกี่ยวกับเนื้อหาความปลอดภัยของ Safari 6.0.1

  • Apache

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: มีช่องโหว่หลายจุดใน Apache

    คำอธิบาย: Apache ได้รับการอัปเดตเป็นเวอร์ชั่น 2.2.22 เพื่อแก้ปัญหาช่องโหว่จำนวนมาก ซึ่งช่องโหว่ที่ร้ายแรงที่สุดอาจทำให้เกิดการปฏิเสธการบริการ สำหรับข้อมูลเพิ่มเติมจะมีให้ผ่านทางเว็บไซต์ Apache ที่ http://httpd.apache.org/ ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2011-3368

    CVE-2011-3607

    CVE-2011-4317

    CVE-2012-0021

    CVE-2012-0031

    CVE-2012-0053

  • BIND

    มีให้สำหรับ: OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: ผู้โจมตีจากระยะไกลอาจทำให้เกิดการปฏิเสธบริการในระบบต่างๆ ที่กำหนดค่าให้เรียกใช้ BIND เป็น DNS nameserver

    คำอธิบาย: มีปัญหาการยืนยันการเข้าถึงได้ในการจัดการบันทึก DNS ปัญหานี้ได้รับการแก้ไขแล้วด้วยการอัปเดตเป็น BIND 9.7.6-P1 ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2011-4313

  • BIND

    มีให้สำหรับ: OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4, OS X Mountain Lion v10.8 และ v10.8.1

    ผลกระทบ: ผู้จู่โจมจากระยะไกลอาจทำให้เกิดการปฏิเสธการบริการ ข้อมูลเสียหายหรือได้รับข้อมูลละเอียดอ่อนจากหน่วยความจำการประมวลผลในระบบที่กำหนดค่าให้เรียกใช้ BIND เป็น DNS nameserver

    คำอธิบาย: มีปัญหาการจัดการหน่วยความจำในการจัดการบันทึก DNS ปัญหานี้ได้รับการแก้ไขแล้วด้วยการอัปเดตเป็น BIND 9.7.6-P1 บนระบบ OS X Lion และ BIND 9.8.3-P1 บนระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-1667

  • CoreText

    มีให้สำหรับ: OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: แอปพลิเคชั่นที่ใช้ CoreText อาจเสี่ยงต่อการทำให้แอปพลิเคชั่นหยุดโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: มีปัญหาการตรวจสอบขอบเขตในการจัดการภาพตัวอักษรซึ่งอาจนำไปสู่การออกนอกขอบเขตการอ่านหรือเขียนหน่วยความจำ ปัญหานี้ได้รับการแก้ไขแล้วผ่านการตรวจสอบขอบเขตที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่ได้มีผลต่อระบบ Mac OS X v10.6 หรือ OS X Mountain Lion

    CVE-ID

    CVE-2012-3716 : Jesse Ruderman ของ Mozilla Corporation

  • ความปลอดภัยของข้อมูล

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4, OS X Mountain Lion v10.8 และ v10.8.1

    ผลกระทบ: ผู้โจมตีที่มีตำแหน่งเครือข่ายที่มีสิทธิพิเศษอาจดักจับข้อมูลส่วนตัวของผู้ใช้หรือข้อมูลที่ละเอียดอ่อนอื่นๆ

    คำอธิบาย: TrustWave ซึ่งเป็น root CA ที่เชื่อถือได้ ที่มีปัญหาและถูกเพิกถอนใบรับรอง sub-CA ในเวลาต่อมา sub-CA จากหนึ่งในการอ้างอิงที่เชื่อถือได้ sub-CA นี้ทำให้การขัดขวางการสื่อสารที่ได้รับความปลอดภัยโดยความปลอดภัยแบบระดับชั้นในการนำส่งข้อมูล (TLS) ง่ายขึ้น การอัปเดตนี้เพิ่มใบรับรอง sub-CA ที่เกี่ยวข้องให้กับใบรับรองรายการของ OS X ที่ไม่น่าเชื่อถือ

  • DirectoryService

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8

    ผลกระทบ: หากใช้พร๊อกซี่ DirectoryService ผู้จู่โจมจากระยะไกลอาจทำให้เกิดการปฏิเสธการบริการหรือการดำเนินการรหัสโดยอำเภอใจ

    คำอธิบาย: มีบัฟเฟอร์มากเกินในพร็อกซี่ DirectoryService ปัญหานี้ได้รับการแก้ไขแล้วผ่านการตรวจสอบขอบเขตที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Lion และ Mountain Lion

    CVE-ID

    CVE-2012-0650 : aazubel ที่ทำงานร่วมกับ Zero Day Initiative ของ HP

  • ImageIO

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การดูภาพ PNG ที่ออกมาแบบมาเพื่อประสงค์ร้ายอาจทำให้หยุดแอปพลิเคชั่นโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: ปัญหาหน่วยความจำเสียหายหลายจุดในการจัดการภาพ PNG ของ libpng ปัญหานี้ได้รับการแก้ไขแล้วด้วยการตรวจสอบภาพ PNG ที่ปรับปรุงให้ดียิ่งขึ้น ปัญหาเหล่านี้ไม่ได้มีผลต่อระบบ OS X Mountain Lion

    CVE-ID

    CVE-2011-3026 : Jüri Aedla

    CVE-2011-3048

  • ImageIO

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การดูภาพ TIFF ที่ออกแบบมาเพื่อประสงค์ร้ายอาจทำให้แอปพลิเคชั่นหยุดโดยไม่คาดคิดหรือการนำรหัสมาใช้โดยอำเภอใจ

    คำอธิบาย: มีปัญหาจำนวนเต็มมากเกินในการจัดการภาพ TIFF ของ libTIFF ปัญหานี้ได้รับการแก้ไขแล้วด้วยการตรวจสอบภาพ TIFF ที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-1173 : Alexander Gavrun ที่ทำงานร่วมกับ Zero Day Initiative ของ HP

  • ตัวติดตั้ง

    มีให้สำหรับ: OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: ผู้ดูแลระบบระยะไกลและผู้ที่เข้าถึงระบบที่ตัวเครื่องอาจได้รับข้อมูลบัญชี

    คำอธิบาย: การแก้ไขสำหรับ CVE-2012-0652 ใน OS X Lion 10.7.4 ทำให้รหัสผ่านของผู้ใช้ไม่สามารถบันทึกไว้ในบันทึกระบบ แต่ข้อมูลบันทึกเก่าไม่ได้ถูกลบ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการลบไฟล์บันทึกที่มีรหัสผ่าน ปัญหานี้ไม่ได้มีผลต่อระบบ Mac OS X 10.6 หรือ OS X Mountain Lion

    CVE-ID

    CVE-2012-0652

  • องค์ประกอบสากลสำหรับ Unicode

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: แอปพลิเคชั่นที่ใช้ ICU อาจเสี่ยงต่อการทำให้หยุดแอปพลิเคชั่นโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจได้

    คำอธิบาย: มีบัฟเฟอร์มากเกินที่ทับซ้อนกันในการจัดการ ID ตำแหน่งที่ตั้ง ICU ปัญหานี้ได้รับการแก้ไขแล้วผ่านการตรวจสอบขอบเขตที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2011-4599

  • เคอร์เนล

    มีให้สำหรับ: OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: โปรแกรมประสงค์ร้ายอาจบายพาสข้อจำกัดของกล่องทรายทดสอบ

    คำอธิบาย: มีปัญหาตรรกะในการจัดการการโทรเข้าระบบดีบั๊ก นี่อาจทำให้โปรแกรมประสงค์ร้ายได้รับการใช้รหัสในโปรแกรมอื่นที่มีสิทธิพิเศษของผู้ใช้เหมือนกันได้ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการปิดใช้งานการจัดการที่อยู่ใน PT_STEP และ PT_CONTINUE ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-0643 : iOS Jailbreak Dream Team

  • LoginWindow

    มีให้สำหรับ: OS X Mountain Lion v10.8 และ v10.8.1

    ผลกระทบ: ผู้ใช้เฉพาะที่อาจสามารถได้รับรหัสผ่านการเข้าสู่ระบบของผู้ใช้อื่นได้

    คำอธิบาย: วิธีป้อนข้อมูลที่ติดตั้งโดยผู้ใช้อาจสกัดกั้นไม่ให้กดแป้นพิมพ์รหัสผ่านเพื่อเข้าหน้าต่างการเข้าสู่ระบบหรือการปลดล็อกโปรแกรมรักษาหน้าจอ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการป้องกันไม่ให้ใช้วิธีการติดตั้งโดยผู้ใช้เมื่อระบบจัดการข้อมูลการเข้าสู่ระบบ

    CVE-ID

    CVE-2012-3718: Lukhnos Liu

  • เมล

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การดูข้อความอีเมลอาจนำไปสู่การใช้งานปลั๊กอินเว็บได้

    คำอธิบาย: ความผิดพลาดในการตรวจสอบยืนยันการป้อนข้อมูลที่อยู่ในการจัดการปลั๊กอินเว็บที่ฝังอยู่ในเมล ปัญหานี้ได้รับการแก้ไขแล้วด้วยการปิดใช้งานปลั๊กอินของบริษัทอื่นในเมล ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-3719 : Will Dormann ของ CERT/CC

  • บัญชีผู้ใช้โทรศัพท์มือถือ

    มีให้สำหรับ: OS X Mountain Lion v10.8 และ v10.8.1

    ผลกระทบ: ผู้ใช้ที่สามารถเข้าถึงเนื้อหาของบัญชีผู้ใช้โทรศัพท์มือถือได้อาจได้รับรหัสผ่าน

    คำอธิบาย: การสร้างบัญชีโทรศัพท์มือถือที่บันทึกแฮชของรหัสผ่านไว้ในบัญชีนั้น ซึ่งใช้เพื่อลงชื่อเข้าระบบเมื่อใช้บัญชีผู้ใช้โทรศัพท์มือถือเป็นบัญชีภายนอก อาจใช้แฮชรหัสผ่าน เพื่อดูรหัสผ่านของผู้ใช้ได้ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการสร้างแฮชรหัสผ่านได้เฉพาะเปิดใช้งานบัญชีภายนอกบนระบบที่บัญชีผู้ใช้โทรศัพท์มือถือ

    CVE-ID

    CVE-2012-3720 : Harald Wagener ของ Google, Inc.

  • PHP

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4, OS X Mountain Lion v10.8 และ v10.8.1

    ผลกระทบ: ช่องโหว่หลายจุดใน PHP

    คำอธิบาย: >PHP อัปเดตเป็นเวอร์ชั่น 5.3.15 เพื่อแก้ปัญหาช่องโหว่หลายจุด ซึ่งช่องโหว่ที่ร้ายแรงที่สุดซึ่งอาจนำไปสู่การใช้รหัสตามอำเภอใจได้ ข้อมูลเพิ่มเติมมีให้ผ่านทางเว็บไซต์ PHP ที่ http://www.php.net

    CVE-ID

    CVE-2012-0831

    CVE-2012-1172

    CVE-2012-1823

    CVE-2012-2143

    CVE-2012-2311

    CVE-2012-2386

    CVE-2012-2688

  • PHP

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: สคริปต์ PHP ซึ่งใช้ libpng อาจเสี่ยงต่อการทำให้หยุดแอปพลิเคชั่นโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: มีปัญหาหน่วยความจำเสียหายในการจัดการไฟล์ PNG ปัญหานี้ได้รับการแก้ไขแล้วด้วยการอัปเดตสำเนา PHP ของ libpng เป็นเวอร์ชั่น 1.5.10 ปัญหานี้ไม่มีผลต่อระบบ OS X Mountain Lion

    CVE-ID

    CVE-2011-3048

  • ผู้จัดการโปรไฟล์

    มีให้สำหรับ: OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: ผู้ใช้ที่ไม่ได้รับอนุญาตอาจสามารถแจกแจงอุปกรณ์ที่จัดการได้

    คำอธิบาย: มีปัญหาการตรวจสอบยืนยันในอินเทอร์เฟซส่วนตัวของการจัดการอุปกรณ์ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการลบอินเทอร์เฟซนั้น

    ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-3721 : Derick Cassidy ของ XEquals Corporation

  • QuickLook

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การดูไฟล์ .pict ที่ออกแบบมาเพื่อประสงค์ร้าย อาจทำให้หยุดแอปพลิเคชั่นโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: มีปัญหาหน่วยความจำเสียหายในการจัดการไฟล์ .pict ปัญหานี้ได้รับการแก้ไขแล้วด้วยการตรวจสอบไฟล์ .pict ที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-0671 : Rodrigo Rubira Branco (twitter.com/bsdaemon) จาก Qualys Vulnerability & Malware Research Labs (VMRL)

  • QuickTime

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การดูไฟล์ภาพยนตร์ที่ออกมาแบบมาเพื่อประสงค์ร้าย อาจทำให้แอปพลิเคชั่นหยุดโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: มีปัญหาจำนวนเต็มมากเกินในการจัดการอะตอม Sean ของ QuickTime ปัญหานี้ได้รับการแก้ไขแล้วผ่านการตรวจสอบขอบเขตที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-0670 : Tom Gallagher (Microsoft) และ Paul Bates (Microsoft) ที่ทำงานกับ HP's Zero Day Initiative

  • QuickTime

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การดูไฟล์ภาพยนตร์ที่ออกมาแบบมาเพื่อประสงค์ร้าย อาจทำให้แอปพลิเคชั่นหยุดโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: มีการเข้าถึงหน่วยความจำโดยไม่ได้รับอนุญาตในการจัดการไฟล์ภาพยนตร์ที่เข้ารหัส Sorenson ปัญหานี้ได้รับการแก้ไขแล้วผ่านการเตรียมใช้งานหน่วยความจำที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-3722 : Will Dormann ของ CERT/CC

  • QuickTime

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การดูไฟล์ภาพยนตร์ที่ออกมาแบบมาเพื่อประสงค์ร้าย อาจทำให้แอปพลิเคชั่นหยุดโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: มีบัฟเฟอร์มากเกินในการจัดการไฟล์ภาพยนตร์ที่เข้ารหัส RLE ปัญหานี้ได้รับการแก้ไขแล้วผ่านการตรวจสอบขอบเขตที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-0668 : Luigi Auriemma ที่ทำงานร่วมกับ Zero Day Initiative ของ HP

  • Ruby

    มีให้สำหรับ: Mac OS X v10.6.8, Mac OS X Server v10.6.8, OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: ภัยคุกคามอาจสามารถถอดรหัสข้อมูลที่ป้องกันด้วย SSL ได้

    คำอธิบาย: มีการคุกคามที่รู้จักต่อความเชื่อมั่นของ SSL 3.0 และ TLS 1.0 เมื่อ cipher suite ใช้ block cipher ในโหมด CBC โมดูล Ruby OpenSSL ที่ปิดใช้งานการรับมือกับ 'ส่วนย่อยเปล่า' ซึ่งป้องกันภัยคุกคามเหล่านี้ได้ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการเปิดใช้งานส่วนย่อยเปล่า ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2011-3389

  • USB

    มีให้สำหรับ: OS X Lion v10.7 ถึง v10.7.4, OS X Lion Server v10.7 ถึง v10.7.4

    ผลกระทบ: การต่ออุปกรณ์ USB อาจทำให้ระบบหยุดโดยไม่คาดคิดหรือการใช้รหัสโดยอำเภอใจ

    คำอธิบาย: มีปัญหาหน่วยความจำเสียหายในการจัดการตัวอธิบายฮับ USB ปัญหานี้ได้รับการแก้ไขแล้วผ่านการจัดการฟิลด์ตัวอธิบาย bNbrPorts ที่ปรับปรุงให้ดียิ่งขึ้น ปัญหานี้ไม่มีผลกระทบกับระบบ OS X Mountain Lion

    CVE-ID

    CVE-2012-3723 : Andy Davis ของ NGS Secure

 

ข้อมูลเกี่ยวกับผลิตภัณฑ์ที่ไม่ได้ผลิตโดย Apple หรือเว็บไซต์อิสระที่ไม่ได้ควบคุมหรือทดสอบโดย Apple มีให้โดยไม่มีคำแนะนำหรือการรับรองใดๆ Apple ไม่ขอรับผิดชอบในส่วนที่เกี่ยวกับการเลือก ประสิทธิภาพ หรือการใช้งานเว็บไซต์หรือผลิตภัณฑ์ของบริษัทอื่น Apple ไม่รับรองความถูกต้องหรือความน่าเชื่อถือของเว็บไซต์ของบริษัทอื่น ความเสี่ยงต่างๆ ในการใช้งานอินเทอร์เน็ตถือเป็นเรื่องปกติที่เกิดขึ้นได้ ติดต่อผู้จำหน่ายสำหรับข้อมูลเพิ่มเติม ชื่อบริษัทและชื่อผลิตภัณฑ์อื่นอาจเป็นเครื่องหมายการค้าของเจ้าของแต่ละราย

วันที่เผยแพร่: